﻿-- Name:		register.lua
-- Description:	Registers the ExtraDetach specialization
-- Author:		Noobgetier (omgz@gmx.de)
-- Version:		1.2
-- Date:		2013-02-04
-- Change log:	1.0 - inital release
--				1.1 - added detach sound playback
--				1.2 - helper bug fixed

SpecializationUtil.registerSpecialization("extradetach", "extradetach", g_currentModDirectory .. "extradetach.lua")

register_extradetach = {}

function register_extradetach:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		print(" -> Registering extraDetach specialization by Noobgetier (omgz@gmx.de)");
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do  
			if v ~= nil then
				local doRegister = false;
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					if vs ~= nil and vs == SpecializationUtil.getSpecialization("fillable") then
						doRegister = true;
						vs.EXTRA_DETACH_KEY = g_i18n:getText("EXTRA_DETACH_KEY");
					end;
				end;
				
				if doRegister then
					table.insert(v.specializations, SpecializationUtil.getSpecialization("extradetach"));
				end;			
			end;
		end;
	end;
end;

function register_extradetach:deleteMap()
end;

function register_extradetach:keyEvent(unicode, sym, modifier, isDown)
end;

function register_extradetach:mouseEvent(posX, posY, isDown, isUp, button)
end;

function register_extradetach:update(dt)
end;

function register_extradetach:draw()
end;

addModEventListener(register_extradetach);